summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorkwadronaut <kwadronaut@autistici.org>2022-11-10 12:00:54 +0100
committerkwadronaut <kwadronaut@autistici.org>2022-11-10 14:53:54 +0100
commit0a2a82a73546f157611e9706df8bca3122a6684c (patch)
tree62ff704d3dbcb0b797add88ceac7de765eb49853 /scripts
parent5b9505dbb37d110b8c528671bbfc67f7944d2e43 (diff)
more help for first-time devs
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build_deps.sh3
-rwxr-xr-xscripts/prepareForDistribution.sh2
2 files changed, 4 insertions, 1 deletions
diff --git a/scripts/build_deps.sh b/scripts/build_deps.sh
index 0d37d7de..e52a4401 100755
--- a/scripts/build_deps.sh
+++ b/scripts/build_deps.sh
@@ -27,6 +27,9 @@ cd $BASE_DIR
if [[ $(ls -A ${ANDROID_HOME}/ndk/${EXPECTED_NDK_VERSION}) ]]
then
ANDROID_NDK_HOME=${ANDROID_HOME}/ndk/${EXPECTED_NDK_VERSION}
+elif [[ -f ${ANDROID_HOME/android-ndk-}${EXPECTED_ANDOID_NDK_RELEASE_VERSION }} ]]; then
+ echo "make sure you have the right ndk version installed and paths are set correctly"
+ exit 1
else
# ndk was manually downloaded from http://dl.google.com/android/repository
ANDROID_NDK_HOME=${ANDROID_HOME}/android-ndk-${EXPECTED_ANDROID_NDK_RELEASE_VERSION}
diff --git a/scripts/prepareForDistribution.sh b/scripts/prepareForDistribution.sh
index e6c0d42d..b89b73aa 100755
--- a/scripts/prepareForDistribution.sh
+++ b/scripts/prepareForDistribution.sh
@@ -409,7 +409,7 @@ if [[ ${DO_BUILD} == true ]]; then
fi
else
# default: neither -aab nor -apk is passed: build apks
- if ([[ -z ${BUILD_BUNDLE} ]] && [[-z ${BUILD_APK} ]]) || ([[ -n ${BUILD_APK} ]]); then
+ if ([[ -z ${BUILD_BUNDLE} ]] && [[ -z ${BUILD_APK} ]]) || ([[ -n ${BUILD_APK} ]]); then
if [[ -z ${FLAVOR2} ]]; then
echo -e "${GREEN} -> build stable releases (.apk) for flavor ${FLAVOR}${NC}"
else